/*
 * "Copyright (c) 2006 University of Southern California. All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose, without fee, and without written
 * agreement is hereby granted, provided that the above copyright
 * notice, the following two paragraphs and the author appear in all
 * copies of this software.
 *
 * IN NO EVENT SHALL UNIVERSITY OF SOUTHERN CALIFORNIA BE LIABLE TO ANY PARTY FOR
 * DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
 * ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN
 * IF UNIVERSITY OF SOUTHERN CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH
 * DAMAGE.
 *
 * UNIVERSITY OF SOUTHERN CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE
 * PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND UNIVERSITY OF SOUTHERN CALIFORNIA
 * HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
 * ENHANCEMENTS, OR MODIFICATIONS."
 */


/*
 *	JaIDComm Header file
 *
 *	@author	Joon Ahn <joonahn@usc.edu>
 *	@date 	09.01.2006
 *
 */

#ifndef JAIDCOMM_H_ALUERGHLUW3829840249
#define JAIDCOMM_H_ALUERGHLUW3829840249


// CHECK the Makefile for the Application name & version, which overrides the following defaults
#ifndef JA_APP_NAME
#define JA_APP_NAME			"JaDelayedFlood"
#endif

#ifndef JA_APP_MAJOR_VERSION
#define	JA_APP_MAJOR_VERSION 		1			// in [0, 255]
#endif

#ifndef JA_APP_MINOR_VERSION
#define	JA_APP_MINOR_VERSION 		001			// in [0, 255]
#endif


enum
{
	JA_ID_OP_NOP = 0,
	JA_ID_OP_GET = 1,
	JA_ID_OP_DATA = 2
};

// if you change anything in this structure, you should apply it properly to Init.init().
typedef struct __id_packet_t
{
	nx_uint8_t			src;
	nx_uint8_t			op;
	nx_uint8_t			majorVersion;
	nx_uint8_t			minorVersion;
	char					name[ sizeof( JA_APP_NAME ) ];
} id_packet_t;


enum
{
	AM___ID_PACKET_T	= 57,
	AM_ID_CHANNEL = AM___ID_PACKET_T
};


#endif // JAIDCOMM_H_ALUERGHLUW3829840249

